1 Reply Latest reply: Sep 12, 2010 9:19 PM by planb77
salchichaz Level 1 Level 1 (0 points)
I have a 8 GB Ipod touch. The software version is currently 2.2.1. All of my apps will no longer sync to my Ipod because it says they require the Iphone 3.0 software update. I have tried to update my software several times, but it says I have the current version. What can I do?

8 GB, Windows 7